Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pubnub.api
Class PubnubError

    java.lang.Object
      com.pubnub.api.PubnubError

    public class PubnubError

extends java.lang.Object

PubnubError object is passed to errorCallback. It contains details of error, like error code, error string, and optional message

Author:
  Pubnub

Field Summary
`int` | `errorCode`
`int` | `errorCodeExtended`
`static int` | `PNERR_CLIENT_TIMEOUT` Client Timeout .
`static int` | `PNERR_CONNECT_EXCEPTION` Connect Exception .
`static int` | `PNERR_DECRYPTION_ERROR` Decryption Error .
`static int` | `PNERR_DISCONN_AND_RESUB` Disconnect and Resubscribe Received .
`static int` | `PNERR_DISCONNECT` Disconnect .
`static int` | `PNERR_ENCRYPTION_ERROR` Error while encrypting message to be published to Pubnub Cloud .
`static int` | `PNERR_FORBIDDEN` Pubnub server returned HTTP 403 forbidden status code.
`static int` | `PNERR_GATEWAY_TIMEOUT` Gateway Timeout
`static int` | `PNERR_HTTP_ERROR` Please check network connectivity.
`static int` | `PNERR_INVALID_JSON` Invalid Json .
`static int` | `PNERR_NETWORK_ERROR` Please verify if network is reachable
`static int` | `PNERR_PUBNUB_ERROR`
`static int` | `PNERR_PUBNUB_EXCEPTION` Pubnub Exception .
`static int` | `PNERR_SECRET_KEY_MISSING` Secret key not configured
`static int` | `PNERR_TIMEOUT` Timeout Error .
`static int` | `PNERR_UNAUTHORIZED` Pubnub server returned HTTP 401 unauthorized status code Happens when authentication key is missing .
`static int` | `PNERR_URL_OPEN` Error in opening URL .

Constructor Summary
`PubnubError(PubnubError error, java.lang.String message)`

Method Summary
`java.lang.String` | `getErrorString()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PNERR_TIMEOUT

    public static final int PNERR_TIMEOUT

  Timeout Error .

  See Also:
    Constant Field Values

### PNERR_PUBNUB_ERROR

    public static final int PNERR_PUBNUB_ERROR

See Also:
  Constant Field Values

### PNERR_CONNECT_EXCEPTION

    public static final int PNERR_CONNECT_EXCEPTION

  Connect Exception . Network Unreachable.

  See Also:
    Constant Field Values

### PNERR_HTTP_ERROR

    public static final int PNERR_HTTP_ERROR

  Please check network connectivity. Please contact support with error details if issue persists.

  See Also:
    Constant Field Values

### PNERR_CLIENT_TIMEOUT

    public static final int PNERR_CLIENT_TIMEOUT

  Client Timeout .

  See Also:
    Constant Field Values

### PNERR_NETWORK_ERROR

    public static final int PNERR_NETWORK_ERROR

  Please verify if network is reachable

  See Also:
    Constant Field Values

### PNERR_PUBNUB_EXCEPTION

    public static final int PNERR_PUBNUB_EXCEPTION

  Pubnub Exception .

  See Also:
    Constant Field Values

### PNERR_DISCONNECT

    public static final int PNERR_DISCONNECT

  Disconnect .

  See Also:
    Constant Field Values

### PNERR_DISCONN_AND_RESUB

    public static final int PNERR_DISCONN_AND_RESUB

  Disconnect and Resubscribe Received .

  See Also:
    Constant Field Values

### PNERR_GATEWAY_TIMEOUT

    public static final int PNERR_GATEWAY_TIMEOUT

  Gateway Timeout

  See Also:
    Constant Field Values

### PNERR_FORBIDDEN

    public static final int PNERR_FORBIDDEN

  Pubnub server returned HTTP 403 forbidden status code. Happens when wrong authentication key is used .

  See Also:
    Constant Field Values

### PNERR_UNAUTHORIZED

    public static final int PNERR_UNAUTHORIZED

  Pubnub server returned HTTP 401 unauthorized status code Happens when authentication key is missing .

  See Also:
    Constant Field Values

### PNERR_SECRET_KEY_MISSING

    public static final int PNERR_SECRET_KEY_MISSING

  Secret key not configured

  See Also:
    Constant Field Values

### PNERR_ENCRYPTION_ERROR

    public static final int PNERR_ENCRYPTION_ERROR

  Error while encrypting message to be published to Pubnub Cloud . Please contact support with error details.

  See Also:
    Constant Field Values

### PNERR_DECRYPTION_ERROR

    public static final int PNERR_DECRYPTION_ERROR

  Decryption Error . Please contact support with error details.

  See Also:
    Constant Field Values

### PNERR_INVALID_JSON

    public static final int PNERR_INVALID_JSON

  Invalid Json . Please contact support with error details.

  See Also:
    Constant Field Values

### PNERR_URL_OPEN

    public static final int PNERR_URL_OPEN

  Error in opening URL . Please contact support with error details.

  See Also:
    Constant Field Values

### errorCode

    public final int errorCode

### errorCodeExtended

    public final int errorCodeExtended

Constructor Detail

### PubnubError

    public PubnubError(PubnubError error,
                       java.lang.String message)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getErrorString

    public java.lang.String getErrorString()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD